OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_ChildIDIterator Class Reference

Iterates on the children of a label, to find
attributes having ID as Attribute ID.
Level option works as TDF_ChildIterator.
.

`#include <TDF_ChildIDIterator.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_ChildIDIterator ()
| Creates an empty iterator. .
Standard_EXPORT | TDF_ChildIDIterator (const TDF_Label &aLabel, const Standard_GUID &anID, const Standard_Boolean allLevels=Standard_False)
| Iterates on the children of the given label. If <alllevels> option is set to true, it explores not only the first, but all the sub label levels. .
Standard_EXPORT void | Initialize (const TDF_Label &aLabel, const Standard_GUID &anID, const Standard_Boolean allLevels=Standard_False)
| Initializes the iteration on the children of the given label. If <alllevels> option is set to true, it explores not only the first, but all the sub label levels. .
Standard_Boolean | More () const
| Returns True if there is a current Item in the iteration. .
Standard_EXPORT void | Next ()
| Move to the next Item .
Standard_EXPORT void | NextBrother ()
| Move to the next Brother. If there is none, go up etc. This method is interesting only with "allLevels" behavior, because it avoids to explore the current label children. .
Handle_TDF_Attribute | Value () const
| Returns the current item; a null handle if there is none. .
## Private Attributes
Standard_GUID | myID
TDF_ChildIterator | myItr
Handle_TDF_Attribute | myAtt

## Constructor & Destructor Documentation

Standard_EXPORT TDF_ChildIDIterator::TDF_ChildIDIterator | ( |  | ) |

Standard_EXPORT TDF_ChildIDIterator::TDF_ChildIDIterator | ( | const TDF_Label & | aLabel,
|  | const Standard_GUID & | anID,
|  | const Standard_Boolean | allLevels = `Standard_False`
| ) |

## Member Function Documentation

Standard_EXPORT void TDF_ChildIDIterator::Initialize | ( | const TDF_Label & | aLabel,
|  | const Standard_GUID & | anID,
|  | const Standard_Boolean | allLevels = `Standard_False`
| ) |

Standard_Boolean TDF_ChildIDIterator::More | ( |  | ) | const`[inline]`

Standard_EXPORT void TDF_ChildIDIterator::Next | ( |  | ) |

Standard_EXPORT void TDF_ChildIDIterator::NextBrother | ( |  | ) |

void TDF_ChildIDIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_ChildIDIterator::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_ChildIDIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_TDF_Attribute TDF_ChildIDIterator::Value | ( |  | ) | const

## Field Documentation

Handle_TDF_Attribute TDF_ChildIDIterator::myAtt`[private]`

Standard_GUID TDF_ChildIDIterator::myID`[private]`

TDF_ChildIterator TDF_ChildIDIterator::myItr`[private]`

The documentation for this class was generated from the following files:

- TDF_ChildIDIterator.hxx
- TDF_ChildIDIterator.lxx